## Test-Module-Runnable-0.6.2.tar.gz

=== Makefile ===
# This Makefile is for the Test::Module::Runnable extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.64 (Revision: 76400) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[Base class for runnable unit tests using Moose introspection]
#     AUTHOR => [q[Duncan Ross Palmer, 2E0EOL (palmer@overchat.org)]]
#     BUILD_REQUIRES => { List::MoreUtils=>q[0], Moose=>q[0], Readonly=>q[0], Test::Deep=>q[0], Test::Exception=>q[0], Test::More=>q[0], Test::Output=>q[0] }
#     CONFIGURE_REQUIRES => {  }
#     NAME => q[Test::Module::Runnable]
#     PREREQ_PM => { List::MoreUtils=>q[0], Moose=>q[0], Readonly=>q[0], Test::Deep=>q[0], Test::Exception=>q[0], Test::MockModule=>q[0], Test::More=>q[0], Test::Output=>q[0] }
#     TEST_REQUIRES => {  }
#     VERSION_FROM => q[lib/Test/Module/Runnable.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/x86_64-linux-gnu/perl-base/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = x86_64-linux-gnu-gcc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
CPPRUN = x86_64-linux-gnu-gcc  -E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = x86_64-linux-gnu-gcc
LDDLFLAGS = -shared -L/usr/local/lib -fstack-protector-strong
LDFLAGS =  -fstack-protector-strong -L/usr/local/lib
LIBC = /lib/x86_64-linux-gnu/libc.so.6
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 4.19.0
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.36.0
SITEARCHEXP = /usr/local/lib/x86_64-linux-gnu/perl/5.36.0
SO = so
VENDORARCHEXP = /usr/lib/x86_64-linux-gnu/perl5/5.36
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = Test::Module::Runnable
NAME_SYM = Test_Module_Runnable
VERSION = 0.6.2
VERSION_MACRO = VERSION
VERSION_SYM = 0_6_2
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.6.2
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
MAN1SECTION = 1
MAN3SECTION = 3
INSTALLDIRS = site
INSTALL_BASE = /home/palmer/perl5
DESTDIR = 
PREFIX = $(INSTALL_BASE)
INSTALLPRIVLIB = $(INSTALL_BASE)/lib/perl5
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(INSTALL_BASE)/lib/perl5
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(INSTALL_BASE)/lib/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(INSTALL_BASE)/lib/perl5/x86_64-linux-gnu-thread-multi
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(INSTALL_BASE)/lib/perl5/x86_64-linux-gnu-thread-multi
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(INSTALL_BASE)/lib/perl5/x86_64-linux-gnu-thread-multi
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(INSTALL_BASE)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(INSTALL_BASE)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(INSTALL_BASE)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(INSTALL_BASE)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = $(INSTALL_BASE)/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = $(INSTALL_BASE)/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = $(INSTALL_BASE)/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(INSTALL_BASE)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(INSTALL_BASE)/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(INSTALL_BASE)/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(INSTALL_BASE)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(INSTALL_BASE)/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.36
PERL_ARCHLIB = /usr/lib/x86_64-linux-gnu/perl/5.36
PERL_ARCHLIBDEP = /usr/lib/x86_64-linux-gnu/perl/5.36
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/x86_64-linux-gnu/perl/5.36/CORE
PERL_INCDEP = /usr/lib/x86_64-linux-gnu/perl/5.36/CORE
PERL = "/usr/bin/perl"
FULLPERL = "/usr/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.36/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.64
MM_REVISION = 76400

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = Test/Module/Runnable
BASEEXT = Runnable
PARENT_NAME = Test::Module
DLBASE = $(BASEEXT)
VERSION_FROM = lib/Test/Module/Runnable.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = lib/Test/Module/Runnable.pm \
	lib/Test/Module/Runnable/Base.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/Test/Module
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/Test/Module

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/Test/Module/Runnable.pm \
	lib/Test/Module/Runnable/Base.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 7.64
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
CP_NONEMPTY = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'cp_nonempty' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = Test-Module-Runnable
DISTVNAME = Test-Module-Runnable-0.6.2


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	LD="$(LD)"\
	PREFIX="$(PREFIX)"\
	INSTALL_BASE="$(INSTALL_BASE)"\
	PASTHRU_DEFINE='$(DEFINE) $(PASTHRU_DEFINE)'\
	PASTHRU_INC='$(INC) $(PASTHRU_INC)'


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir pure_all subdirs clean_subdirs makemakerdflt manifypods realclean_subdirs subdirs_dynamic subdirs_pure_nolink subdirs_static subdirs-test_dynamic subdirs-test_static test_dynamic test_static



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: dynamic
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) config $(INST_BOOT) $(INST_DYNAMIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)

=== debian/changelog ===
libtest-module-runnable-perl (0.6.2) stable; urgency=high

  * Test failure on some CPAN tester systems
    .
    I don't really understand why this test is failing, but it does not seem
    that important, so restrict it to TEST_AUTHOR

 -- Rev. Duncan Ross Palmer <2e0eol@gmail.com>  Sun, 16 Jun 2024 13:00:12 +0100

libtest-module-runnable-perl (0.6.1) stable; urgency=high

  * dd447e5: Fixed bug where TEST_UNIQUE was ignored

 -- Rev. Duncan Ross Palmer <2e0eol@gmail.com>  Sat, 18 May 2024 21:30:38 +0100

libtest-module-runnable-perl (0.6.0) stable; urgency=medium

  * Added uniqueDomain()
  * Added uniqueLetters()
  * Added uniqueStrCI()

 -- Rev. Duncan Ross Palmer <2e0eol@gmail.com>  Sat, 18 May 2024 00:48:46 +0100

libtest-module-runnable-perl (0.5.0) stable; urgency=medium

  * uniqueStr() support
  * Re-written core unique() logic

 -- Rev. Duncan Ross Palmer <2e0eol@gmail.com>  Fri, 17 May 2024 13:38:20 +0100

libtest-module-runnable-perl (0.4.2) stable; urgency=medium

  * Debian packaging warning fixes only

 -- Duncan Ross Palmer <palmer@overchat.org>  Sun, 08 Sep 2019 13:00:36 +0000

libtest-module-runnable-perl (0.4.1) stable; urgency=medium

  * PoD and documentation improvements

 -- Duncan Ross Palmer <palmer@overchat.org>  Sun, 08 Sep 2019 10:30:52 +0000

libtest-module-runnable-perl (0.4.0) stable; urgency=medium

  * Removed Bitbucket pipeline support (YAML)
  * Added Sourcehut pipeline support (YAML) -- https://builds.sr.ht
  * Added modeSwitch() and modeName() user hooks
  * Update links because of project migration from bitbucket

 -- Duncan Ross Palmer <palmer@overchat.org>  Sat, 07 Sep 2019 00:29:43 +0000

libtest-module-runnable-perl (0.3.0) stable; urgency=low

  * Added clearMocks()
  * Added mock()
  * Added mockCalls()
  * Added unmock()

 -- Duncan Ross Palmer <palmer@overchat.org>  Thu, 23 Nov 2017 21:45:47 +0000

libtest-module-runnable-perl (0.2.3) stable; urgency=low

  * Fix issue where not was directly tested against a blank string. (Unit tests only).

 -- Duncan Ross Palmer <palmer@overchat.org>  Sun, 15 Oct 2017 16:06:07 +0100

libtest-module-runnable-perl (0.2.2) stable; urgency=low

  * Added List::MoreUtils to BUILD_REQUIRES

 -- Duncan Ross Palmer <palmer@overchat.org>  Sun, 15 Oct 2017 13:31:01 +0100

libtest-module-runnable-perl (0.2.1) stable; urgency=low

  * Added Readonly to BUILD_REQUIRES

 -- Duncan Ross Palmer <palmer@overchat.org>  Sun, 15 Oct 2017 11:34:55 +0100

libtest-module-runnable-perl (0.2.0) stable; urgency=low

  * Refactor so that user-overridable methods are in primary class and all backend
    functionality is in Base.pm

  * Fix copyright notices
  * Fix author name (deed poll)
  * Automatically check PoD at build-time
  * Don't use can() on methods we provide in Test::Module::Runnable

  * d6794afd26f5: Implement unique random code (use 'rand' domain to unique()).
  * 6c9bc8c58244: use Moose automagically switches on strict and warnings. So don't duplicate.
  * 4325d09ba622: Reduce trial iterations when on users' systems
  * 1997589ac85d: Potential fix for PoD missing a newline
  * 02a8a7159d34: PoD syntax fix; =item without previous =over
  * 57a525961dd6: Added missing license (unit tests)
  * 32ba63da665a: License reformat (no content change)
  * 0ab913b843b3: Fix indentation of examples (PoD)
  * f35644fdf152: Added libreadonly-perl to debian/control
  * 9a12ff8bee11: Don't clobber runnable tests via command-line (regression test at 434556766196)

 -- Duncan Ross Palmer <palmer@overchat.org>  Sat, 14 Oct 2017 22:02:21 +0100

libtest-module-runnable-perl (0.1.0) stable; urgency=low

  * Pre-release beta

 -- David Duncan Ross Palmer <palmer@overchat.org>  Fri, 05 Feb 2016 23:09:26 +0000

=== debian/control ===
Source: libtest-module-runnable-perl
Section: perl
Priority: optional
Maintainer: Rev. Duncan Ross Palmer <2e0eol@gmail.com>
Build-Depends: debhelper (>= 13),
Build-Depends-Indep:
 libmoose-perl,
 libreadonly-perl,
 liblist-moreutils-perl,
 libtest-deep-perl,
 libtest-exception-perl,
 libtest-mockmodule-perl,
 libtest-output-perl,
Standards-Version: 4.6.2
Homepage: http://www.daybologic.co.uk/software.php?content=libtest-module-runnable-perl

Package: libtest-module-runnable-perl
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 libmoose-perl,
 libreadonly-perl,
 libtest-deep-perl,
 libtest-exception-perl,
 libtest-mockmodule-perl,
Description: Test::Module::Runnable - A runnable framework on Moose for running tests
 Base class for runnable unit tests using Moose introspection
 and a user-defined pattern for subtest routines.
 .
 For further information see:
 .
 https://metacpan.org/pod/Test::Module::Runnable
 http://www.daybologic.co.uk/software.php?content=libtest-module-runnable-perl
